Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.extender.internal.blueprint.activator.support
Class BlueprintExtenderConfiguration

    java.lang.Object
      org.eclipse.gemini.blueprint.extender.internal.support.ExtenderConfiguration
          org.eclipse.gemini.blueprint.extender.internal.blueprint.activator.support.BlueprintExtenderConfiguration

All Implemented Interfaces:
  org.springframework.beans.factory.DisposableBean

    public class BlueprintExtenderConfiguration

extends ExtenderConfiguration

Extension of the default extender configuration for handling RFC 124 extender semantics.

Author:
  Costin Leau

Constructor Summary
`BlueprintExtenderConfiguration(org.osgi.framework.BundleContext bundleContext, org.apache.commons.logging.Log log)` Constructs a new `BlueprintExtenderConfiguration` instance.

Method Summary
`OsgiApplicationContextCreator` | `getContextCreator()` Returns the contextCreator.

Methods inherited from class org.eclipse.gemini.blueprint.extender.internal.support.ExtenderConfiguration
`addDefaultDependencyFactories, destroy, getClassLoader, getContextEventListener, getDependencyFactories, getDependencyWaitTime, getEventMulticaster, getPostProcessors, getShutdownTaskExecutor, getShutdownWaitTime, getTaskExecutor, postProcess, setForceThreadShutdown, shouldProcessAnnotation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlueprintExtenderConfiguration

    public BlueprintExtenderConfiguration(org.osgi.framework.BundleContext bundleContext,
                                          org.apache.commons.logging.Log log)

  Constructs a new `BlueprintExtenderConfiguration` instance.

  Parameters:
    `bundleContext` -

Method Detail

### getContextCreator

    public OsgiApplicationContextCreator getContextCreator()

  Description copied from class: `ExtenderConfiguration`
  Returns the contextCreator.

  Overrides:
    `getContextCreator` in class `ExtenderConfiguration`
  Returns:
    Returns the contextCreator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.